<label id="{{ id }}" class="mdc-text-field mdc-text-field--filled" style="width: 100%">
    <span class="mdc-text-field__ripple"></span>
    <span class="mdc-floating-label" id="{{ labelId }}">{{ label }}</span>
    <input class="mdc-text-field__input" type="{{ type }}" name="{{ name }}" value="{{ value }}" aria-labelledby="{{ labelId }}"{% if disabled == true %} disabled{% endif %}{% if required == true %} required{% endif %} {% if readonly is defined and readonly == true %} readonly{% endif %}>
    {% if suffix is not null %}
        <span class="mdc-text-field__affix mdc-text-field__affix--suffix">{{ suffix }}</span>
    {% endif %}
    <span class="mdc-line-ripple"></span>
</label>
